package <%= package %>.app;

import android.app.Application;

import com.squareup.leakcanary.LeakCanary;

import timber.log.Timber;

/*
* About this class:
* This is the application class override. In this we plant a timber logging tree
* and initiate our libraries.
* */

public class MyApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        //Planting a timber tree for logging
        Timber.plant(new Timber.DebugTree());
        // You can plant your own timber tree for crash reporting
        // Init your libraries here
        if (LeakCanary.isInAnalyzerProcess(this)) {
            return;
        }
        LeakCanary.install(this);
    }

}
